#ifndef __GKERNEL__
#define __GKERNEL__

#include <allegro.h>
#include <alfont.h>
#include "heroi.h"

#define KERNEL_FPSQ 96
#define KERNEL_FONT_NAME "res/Negatori.ttf"
#define KERNEL_FONT_SIZE 40

class CGKernel
{
public:
    CGKernel();
    ~CGKernel();
    void Go();

private:
	CHeroi* heroi;


    ALFONT_FONT* gfont;
    bool gameOver;
    BITMAP* page1;
    BITMAP* page2;
    BITMAP* activePage;

    void UpdateLogic();
    void UpdateScreen();
};


#endif // __GKERNEL__
